package jitas.unittest;

import java.util.HashSet;
import java.util.Set;

import jitas.core.Admin;
import junit.framework.TestCase;

/* 
 * @author	DeathMarch (c314g2)
 * @version	8 October 2007
 */
public class AdminTest extends TestCase {
	Admin admin;
	protected void setUp() throws Exception {
		super.setUp();
		Process p = Runtime.getRuntime().exec("./testfiles/copy-out-testdomains.sh");
		p.waitFor();
		
		admin = new Admin("testfiles/testdomains/");
	}

	protected void tearDown() throws Exception {
		super.tearDown();
		Process p = Runtime.getRuntime().exec("./testfiles/delete-testdomains.sh");
		p.waitFor();
	}
	
	
	/*
	 * This is tested through static analysis 
	 * i.e. breakpoint this user test, so that
	 * we can check the xml file before tearDown()
	 * is called :)
	 */
	public final void testAddUser() {
		try {			
			Set<String> domains= new HashSet<String>();
			domains.add("german");
			domains.add("kermit");			
			admin.addUser("testUser", "testPassword", domains);
		} catch (Exception e) {
			e.printStackTrace();
			fail();			
		} 
	}

}
